Support » Plugin: File Away » PHP 7

  • Hi! This is a great plugin but its development seems to have stopped. Is there any hope that it will support PHP7 in the (near) future or should we start to look around to find some alternative? It would be a real pity, this is one of the best tools for WP that I have ever used.

    If I check the plugin for PHP 7.0 compatibility, it seems to be broken only in two files:

    FILE: …/wp-content/plugins/file-away/lib/cls/class.fileaway_csv.php
    ———————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————–
    135 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ———————————————————————————–

    FILE: …/wp-content/plugins/file-away/lib/inc/inc.playback.php
    ———————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————–
    78 | ERROR | Using ‘continue’ outside of a loop or switch structure is invalid and will throw a fatal error since PHP 7.0
    ———————————————————————————–

    • This topic was modified 6 months, 2 weeks ago by  melabit.
Viewing 1 replies (of 1 total)
  • I agree that this is an excellent plugin. The developer reaffirmed ongoing development back in late 2017 but haven’t heard anything since then.

    In the inc.playback.php file that you mention, simply edit line 78 (last line I believe)

    from: if($skipthis) continue;

    to: if ($skipthis) return false;

    and it will run on PHP7.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.